
class Airport_record
  
  attr_accessor :location_identifier, :facility_name, :latitude, :longitude, :tower, :icao
  
  def initialize(apt_line)
    self.location_identifier = apt_line[27,4].strip
    self.facility_name = apt_line[133,42].strip
    self.latitude = apt_line[515,15].strip
    self.longitude = apt_line[542,15].strip
    self.tower = apt_line[989,1].strip
    self.icao = apt_line[1254,7].strip
  end
  
  def has_tower?
    return self.tower == 'Y' ? true : false
  end
  
end