require 'nokogiri'
require 'open-uri'

class Metar_record
  
  attr_accessor :station, :url
  
  def initialize(stn)
    self.station = stn
    self.url = "http://aviationweather.gov/adds/metars/index.php?station_ids="
  end
  
  def adds_url
    return "#{url}#{station.upcase}"
  end
  
  def get_xml
    xml = Nokogiri::HTML(open(self.adds_url))
  end
  
  def get_metar
    begin
      doc = Nokogiri::HTML(open(adds_url))
      return doc.xpath('//font').first.text
    rescue
      return nil
    end
  end
end